### Kubernetes


#### What is Kubernetes? <!-- .slide: class="image-slide" -->
![sparkling](img/sparkling-cybernetics.png "Sparkling cybernetics")


#### About Kubernetes

* Greek word for _helmsman_ or _pilot_
* Also origin of words like _cybernetics_ and _government_
* Inspired by _Borg_, Google's internal scheduling tool
* Play on _Borg cube_
* [Source](https://news.ycombinator.com/item?id=9653797)


#### What's next
* In the coming slides we will interact with a local Kubernetes instance on training pc <!-- .element: class="fragment" data-fragment-index="0" -->
   + minikube
* Along the way we will learn how to interact with and control Kubernetes <!-- .element: class="fragment" data-fragment-index="1" -->
* Become aquainted with core Kubernetes concepts <!-- .element: class="fragment" data-fragment-index="2" -->
    - Nodes
    - Pods
    - Services
    - etc.
